Antidialer V0.1 Is Out

  • Thread starter siddhesh
  • Start date
  • Replies: Replies 12
  • Views: Views 7,950
siddhesh

siddhesh

Newbie
Messages
68
Location
NA
ISP
Sify and MTNL
AntiDialer version 0.1 is out today. Get it here:

https://sourceforge.net/project/showfiles.p...lease_id=422809

This version will be released in three forms for now:

1) source tarball
2) debian package
3) rpm package (auto-created from the deb package with alien)

I'll also be releasing a "console only" version of the dialer soon.

New Features:
------------------

0. Complete rewrite of the core to remove all dependence on QT libraries. QT dependency is only for the UI plugin now.
1. Console based interface for the shell junkies
2. Plugin interface to allow new feature implementation in the form of separate plugin libraries
3. A GUI plugin based on QT
4. Ability to provide username/password at console. You may write the command with username and password into an rc.d file and it will autoconnect on startup.

Features removed:
-----------------------

1. Heartbeat: This feature is useless unless you want a tray icon alive all the time. A tray icon can be implemented as a plugin. The old heartbeat code is still there in the tarball if anyone's interested.
 
siddhesh

siddhesh

Newbie
Messages
68
Location
NA
ISP
Sify and MTNL
Those who are having startup problems with the new version of AntiDialer, you simply need to do this: delete your configuration file.The configuration file is$HOME/.antidialer/antidialerrcSiddhesh
 
siddhesh

siddhesh

Newbie
Messages
68
Location
NA
ISP
Sify and MTNL
QUOTE(Dukes Mangola @ Jun 10 2006, 05:31 PM) [snapback]53718[/snapback]
What does the anti dialer do?
[/b]
This is what it does


Siddhesh
 
U

ujjwal

Regular
Messages
356
Location
NA
Hey siddhesh,Thanks a lot for the great work you are doing :) The plugin system sounds interesting.
 
P

power

supersupersuper...
Messages
1,343
Location
NA
ISP
TATA+Sify
one question .. does it force use of old protocol or we have to call up cc and enable it ?
 


siddhesh

siddhesh

Newbie
Messages
68
Location
NA
ISP
Sify and MTNL
The protocol is the same. No changes there. You have to call up the CC to enable that.
 
P

power

supersupersuper...
Messages
1,343
Location
NA
ISP
TATA+Sify
ook . but some option to force old protocol would be nice :D ( like supersify )
 
siddhesh

siddhesh

Newbie
Messages
68
Location
NA
ISP
Sify and MTNL
Why do you want to "force" the old protocol when it already "uses" the old protocol? :p
 
P

power

supersupersuper...
Messages
1,343
Location
NA
ISP
TATA+Sify
i mean will it use old protocol everytime even if it is not enabled by calling customercare ? . Supersify by default gives " PLease install new version" but if u give -o option then it forces old protocol and logs u in even if old authentication is not enabled on ur userid by calling customercare . Does antidial by default works like supersify -o ? coz last time i used antidial it gave me install new version error . I called cc but they had no clue abt it so i gave up on calling them and used supersify in wine :D
 
siddhesh

siddhesh

Newbie
Messages
68
Location
NA
ISP
Sify and MTNL
Yeah, the new version error used to come before when Sify had decided to disable the older version protocol. Upon calling and telling them that you use linux they add you to some exclude list and then you can continue using the old protocol.The CC does not have a clue, but the moment they tell their tech team, the tech team immediately releases your ip.AntiDialer has always used the old protocol (version=1.0 switch in the login POST string). Probably may have been some kind of an unfortunate coincidence in your case.SiddheshPS: What exactly does supersify do with the -o switch? I checked out the SS code but only sources for 0.52 are available, not for 0.6
 
P

power

supersupersuper...
Messages
1,343
Location
NA
ISP
TATA+Sify
Attempting to contact Sify server
Connection to Sify server established
Using Mac Address:
URL being used is: http://210.210.4.73:81/bbandclient/validatelogin2.php
Sify: Please install the latest version of the client
SuperSify: Login error. Code: -1
HeartBeat: Disabled by Sify server. Unspecified by user.[/b]
without -o

Attempting to contact Sify server
Connection to Sify server established
Overriding Login URL to http://210.210.4.73:81/bbandclient/validatelogin.php
Overriding Logout URL to http://210.210.4.73:81/bbandclient/logout.php
Using Mac Address:
URL being used is: http://210.210.4.73:81/bbandclient/validatelogin.php[/b]
with -o

it forces old login url validatelogin.php with -o while by default sify server gives validatelogin2.php which is for new protocol . yeh 0.52 doesnt have this switch only 0.6 has :)
 
siddhesh

siddhesh

Newbie
Messages
68
Location
NA
ISP
Sify and MTNL
Thanks for that :)

Well it seems like the -o switch has been hardcoded. I went through the source and saw that there is no "version" POST parameter in SuperSify ( createLoginString() in core.cpp ).

That parameter is used to tell SAM that the client is an older version. I set the version variable to 1.0 as was mentioned in the disassembly paper at

http://www.indiasec.com/lib/security/gener...gineering/sify/


Siddhesh